#! /usr/bin/env python
# -*- coding: utf-8 -*- pour utiliser des caractères accentués dans le programme

import math
import datetime
import sys
import os
import numpy as np
import calendar as cal
import pandas
import netCDF4
from netCDF4 import Dataset
from Scientific.IO.NetCDF import NetCDFFile
from mpl_toolkits.basemap import Basemap, cm
import matplotlib.pyplot as py
import matplotlib as mpl
import matplotlib.colors as colors
import matplotlib.pyplot as plt
from matplotlib.colors import BoundaryNorm

title='Diff Snow Temperature Profile: mo jules'
title='JULES'
tlabel='(b)'
path_nc='./diff_mo_jules_obs.nc'
name_fig='SnowTProf_Diff_mo_jules_obs.png'

title='Diff Snow Temperature Profile: lgge lmdz'
title='LMDZ'
tlabel='(a)'
path_nc='./diff_lgge_lmdz_obs.nc'
name_fig='SnowTProf_Diff_lgge_lmdz_obs.png'

title='Diff Snow Temperature Profile: larc clm4'
title='CLM4'
tlabel='(e)'
path_nc='./diff_larc_clm4_v1_obs.nc'
name_fig='SnowTProf_Diff_larc_clm4_v1_obs.png'

title='Diff Snow Temperature Profile: cnrm cro'
title='CROCUS'
tlabel='(d)'
path_nc='./diff_cnrm_cro_obs.nc'
name_fig='SnowTProf_Diff_cnrm_cro_obs.png'

title='Diff Snow Temperature Profile: cnrm ies'
title='ISBAES'
tlabel='(c)'
path_nc='./diff_cnrm_ies_obs.nc'
name_fig='SnowTProf_Diff_cnrm_ies_obs.png'

nc = netCDF4.Dataset(path_nc,mode="r")
nomvar='SnowTProf'
xx    = nc.variables['time'][:]
yy    = nc.variables['snowlayer'][:]
data_nc = nc.variables[nomvar][:,:]
nc.close()

dxx=np.size(xx)
dyy=np.size(yy)

xxmin0=np.amin(xx)
xxmax0=np.amax(xx)
yymin0=np.amin(yy)
yymax0=np.amax(yy)

print xxmin0,xxmax0,yymin0,yymax0

Y=np.linspace( xxmin0, xxmax0,dxx)
X=np.linspace( yymin0,yymax0,dyy)

#print Y
Y=Y/86400
X,Y=np.meshgrid(X,Y)

print np.shape(X) ; np.shape(Y)

fig1=py.figure(1,figsize=(10,5))

#zmin=33 ; zmax=100   #pour l'obs on commence à 33cm
zmin=0 ; zmax=100
zmin=33 ; zmax=393

vmin0=np.amin(data_nc[:,zmin:zmax])
vmax0=np.amax(data_nc[:,zmin:zmax])
print vmin0,vmax0

vmin=-2. ; vmax=2.
levels=np.linspace(vmin,vmax,17)
print levels

Xmin0=np.amin(X[:,zmin:zmax])
Xmax0=np.amax(X[:,zmin:zmax])
Ymin0=np.amin(Y[:,zmin:zmax])
Ymax0=np.amax(Y[:,zmin:zmax])
print Xmin0,Xmax0,Ymin0,Ymax0

#print data_nc[:,zmin]
py.contourf(Y[:,zmin:zmax],-X[:,zmin:zmax],data_nc[:,zmin:zmax],cmap=py.cm.coolwarm,levels=levels,vmin=vmin,vmax=vmax,extend='both')
py.colorbar(orientation='vertical',shrink=1., aspect=15, pad=0.05,boundaries=np.linspace(1,15,1))
py.xticks(np.arange(0,15,1),['1','2','3','4','5','6','7','8','9','10','11','12','13','14','15'])
#py.yticks(np.arange(-zmax,-zmin+1,20),['-193','-173','-153','-133','-113','-93','-73','-53','-33'])
py.yticks(np.arange(-zmax,-zmin+1,20),['-393','-373','-353','-333','-313','-293','-273','-253','-233','-213','-193','-173','-153','-133','-113','-93','-73','-53','-33'])

py.text(-1.,-5.,tlabel,fontsize=12)#,fontweight='bold')

py.xlabel('Days of December 2009')
py.ylabel('Snow Depth (cm)') 
py.title(title,fontsize=12)
py.savefig(name_fig,dpi=500)



